/*
 * Small example to test the loadable kernel modules code.
 * 
 * Note that the `kernel_version' string should match the
 * current kernel version (`cat /proc/version') or the
 * module will not load.
 *                             Bas
 */

typedef int (*fn_ptr)();

#ifdef __cplusplus
extern "C" {
#endif

char kernel_version[] = "0.99.14";


extern int printk( const char* fmt, ...);


int
init_module( void) {
	printk( "sys_hello.c:  init_module called\n");
	return 0;
}

void
cleanup_module( void) {
	printk( "sys_hello.c:  cleanup_module called\n");
}

#ifdef __cplusplus
}
#endif

