/*
 * Normally kernel modules may only be loaded by root.
 * During development one can disable this protection
 * scheme by running this program.
 * Must still be root to run this program !
 *
 * Author: Bas Laarhoven   (22/09/93)
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <a.out.h>
#include <sys/stat.h>
#include <linux/module.h>

main( int argc, char **argv) {
  int new_state;

  new_state = get_kernel_syms( (struct kernel_sym*) -1);
  if (new_state < 0) {
    if (new_state == -EPERM) {
      printf( "Operation not permitted by non-root user.\n");
    }
    return new_state;
  }
  printf( "Module load option for non-root users is now %sabled.\n",
         new_state ? "dis" : "en");
  return 0;
}

